## org.apache.aries.subsystem.obr.internal
Class OsgiResourceAdapter

    java.lang.Object
      org.apache.aries.subsystem.obr.internal.OsgiResourceAdapter

All Implemented Interfaces:
  org.apache.felix.bundlerepository.Resource

    public class OsgiResourceAdapter

extends Object
implements org.apache.felix.bundlerepository.Resource

Field Summary

Fields inherited from interface org.apache.felix.bundlerepository.Resource
`CATEGORY, COPYRIGHT, DESCRIPTION, DOCUMENTATION_URI, ID, JAVADOC_URI, LICENSE_URI, MANIFEST_VERSION, PRESENTATION_NAME, SIZE, SOURCE_URI, SYMBOLIC_NAME, URI, VERSION`

Constructor Summary
`OsgiResourceAdapter(org.osgi.resource.Resource resource)`

Method Summary
`org.apache.felix.bundlerepository.Capability[]` `getCapabilities()`
`String[]` `getCategories()`
`String` `getId()`
`String` `getPresentationName()`
`Map` `getProperties()`
`org.apache.felix.bundlerepository.Requirement[]` `getRequirements()`
`Long` `getSize()`
`String` `getSymbolicName()`
`String` `getURI()`
`org.osgi.framework.Version` `getVersion()`
`boolean` `isLocal()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OsgiResourceAdapter

    public OsgiResourceAdapter(org.osgi.resource.Resource resource)

Method Detail

### getCapabilities

    public org.apache.felix.bundlerepository.Capability[] getCapabilities()

  Specified by:
    `getCapabilities` in interface `org.apache.felix.bundlerepository.Resource`

### getCategories

    public String[] getCategories()

  Specified by:
    `getCategories` in interface `org.apache.felix.bundlerepository.Resource`

### getId

    public String getId()

  Specified by:
    `getId` in interface `org.apache.felix.bundlerepository.Resource`

### getPresentationName

    public String getPresentationName()

  Specified by:
    `getPresentationName` in interface `org.apache.felix.bundlerepository.Resource`

### getProperties

    public Map getProperties()

  Specified by:
    `getProperties` in interface `org.apache.felix.bundlerepository.Resource`

### getRequirements

    public org.apache.felix.bundlerepository.Requirement[] getRequirements()

  Specified by:
    `getRequirements` in interface `org.apache.felix.bundlerepository.Resource`

### getSize

    public Long getSize()

  Specified by:
    `getSize` in interface `org.apache.felix.bundlerepository.Resource`

### getSymbolicName

    public String getSymbolicName()

  Specified by:
    `getSymbolicName` in interface `org.apache.felix.bundlerepository.Resource`

### getURI

    public String getURI()

  Specified by:
    `getURI` in interface `org.apache.felix.bundlerepository.Resource`

### getVersion

    public org.osgi.framework.Version getVersion()

  Specified by:
    `getVersion` in interface `org.apache.felix.bundlerepository.Resource`

### isLocal

    public boolean isLocal()

  Specified by:
    `isLocal` in interface `org.apache.felix.bundlerepository.Resource`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.